Index: nel/src/3d/driver/opengl/driver_opengl.cpp
===================================================================
--- nel/src/3d/driver/opengl/driver_opengl.cpp	(revision 1393)
+++ nel/src/3d/driver/opengl/driver_opengl.cpp	(working copy)
@@ -240,7 +240,7 @@
       // Process the message by the emitter
       pDriver->_EventEmitter.processMessage();
     }
-  // TODO i'don t know what to return exactly
+  // TODO i don't know what to return exactly
   return (e->type == MapNotify) && (e->xmap.window == (Window) arg);
 }
 */
@@ -389,7 +389,7 @@
 
 	_CurrentMaterialSupportedShader= CMaterial::Normal;
 
-	// to avoid any problem if light0 never setted up, and ligthmap rendered
+	// to avoid any problem if light0 never setted up, and lightmap rendered
 	_UserLight0.setupDirectional(CRGBA::Black, CRGBA::White, CRGBA::White, CVector::K);
 
 	_TextureTargetCubeFace = 0;
@@ -445,7 +445,7 @@
 		nlwarning ("(CDriverGL::init): can't create DC");
 	}
 
-	// ati specific : try to retrieve driver version
+	// ATI specific : try to retrieve driver version
 	retrieveATIDriverVersion();
 #else
 
@@ -588,7 +588,7 @@
 		AdjustWindowRectEx (&rc, GetWindowStyle (_hWnd), GetMenu (_hWnd) != NULL, GetWindowExStyle (_hWnd));
 		SetWindowPos (_hWnd, NULL, 0, 0, rc.right - rc.left, rc.bottom - rc.top, SWP_NOMOVE | SWP_NOZORDER | SWP_NOACTIVATE );
 
-		// Get the
+		// Get the device context
 		HDC tempHDC = GetDC(tmpHWND);
 
 		_Depth=uint8(GetDeviceCaps(tempHDC,BITSPIXEL));
@@ -777,7 +777,7 @@
 		_WindowHeight = height;
 
 		/* The next step is to create a device context for the newly created pbuffer. To do this,
-			call the the function: */
+			call the function: */
 		_hDC = nwglGetPbufferDCARB( _PBuffer );
 		if (_hDC == NULL)
 		{
@@ -1868,7 +1868,7 @@
 	//resetTextureShaders();
 	activeVertexProgram(NULL);
 
-	/* Yoyo: must do this (GeForce bug ??) esle weird results if end render with a VBHard.
+	/* Yoyo: must do this (GeForce bug ??) else weird results if end render with a VBHard.
 		Setup a std vertex buffer to ensure NVidia synchronisation.
 	*/
 	if (_Extensions.NVVertexArrayRange)
@@ -1957,7 +1957,7 @@
 
 
 
-	// Activate the default texture environnments for all stages.
+	// Activate the default texture environments for all stages.
 	//===========================================================
 	// This is not a requirement, but it ensure a more stable state each frame.
 	// (well, maybe the good reason is "it hides much more the bugs"  :o) ).
@@ -2220,7 +2220,7 @@
 	float height;
 	viewport.getValues (x, y, width, height);
 
-	// Render to texture : adjuste the viewport
+	// Render to texture : adjust the viewport
 	if (_TextureTarget)
 	{
 		float factorX = 1;
@@ -2291,7 +2291,7 @@
 	float width= scissor.Width;
 	float height= scissor.Height;
 
-	// Render to texture : adjuste the scissor
+	// Render to texture : adjust the scissor
 	if (_TextureTarget)
 	{
 		float factorX = 1;
@@ -2443,7 +2443,7 @@
 {
 	H_AUTO_OGL(CDriverGL_getWindowPos)
 #ifdef NL_OS_WINDOWS
-	// Off-srceen rendering ?
+	// Off-screen rendering ?
 	if (_OffScreen)
 	{
 		if (_PBuffer)
Index: nel/src/3d/driver/opengl/driver_opengl.h
===================================================================
--- nel/src/3d/driver/opengl/driver_opengl.h	(revision 1393)
+++ nel/src/3d/driver/opengl/driver_opengl.h	(working copy)
@@ -225,7 +225,7 @@
 
 
 // ***************************************************************************
-/// Info for the last VertexBuffer setuped (iether normal or hard).
+/// Info for the last VertexBuffer setuped (either normal or hard).
 class	CVertexBufferInfo
 {
 public:
@@ -235,7 +235,7 @@
 	CVertexBuffer::TType	Type[CVertexBuffer::NumValue];
 	uint8					UVRouting[CVertexBuffer::MaxStage];
 
-	// NB: ptrs are invalid if VertexFormat does not support the compoennt. must test VertexFormat, not the ptr.
+	// NB: ptrs are invalid if VertexFormat does not support the component. must test VertexFormat, not the ptr.
 	void					*ValuePtr[CVertexBuffer::NumValue];
 
 
@@ -258,7 +258,7 @@
 
 
 // ***************************************************************************
-/// Info for the last IndexBuffer setuped (iether normal or hard).
+/// Info for the last IndexBuffer setuped (either normal or hard).
 class	CIndexBufferInfo
 {
 public:
Index: nel/src/sound/background_source.h
===================================================================
--- nel/src/sound/background_source.h	(revision 1393)
+++ nel/src/sound/background_source.h	(working copy)
@@ -1,5 +1,5 @@
 /** \file background_source.h
- * CSimpleSource: implementation of USource
+ * CBackgroundSource: implementation of USource
  */
 
 /* Copyright, 2001 Nevrax Ltd.
Index: nel/src/sound/clustered_sound.h
===================================================================
--- nel/src/sound/clustered_sound.h	(revision 1393)
+++ nel/src/sound/clustered_sound.h	(working copy)
@@ -74,9 +74,9 @@
 		sint32			Occlusion;
 		/// The occlusion LF factor (see EAX spec)
 		float			OcclusionLFFactor;
-		/// The occlusion romm ration
+		/// The occlusion room ratio
 		float			OcclusionRoomRatio;
-		/// The obsctruction att db
+		/// The obstruction att db
 		sint32			Obstruction;
 	};
 
Index: nel/src/sound/complex_source.h
===================================================================
--- nel/src/sound/complex_source.h	(revision 1393)
+++ nel/src/sound/complex_source.h	(working copy)
@@ -1,5 +1,5 @@
 /** \file complex_source.h
- * CSourceUSer: implementation of USource
+ * CComplexSource: implementation of USource
  */
 
 /* Copyright, 2001 Nevrax Ltd.
Index: nel/src/sound/sample_bank.cpp
===================================================================
--- nel/src/sound/sample_bank.cpp	(revision 1393)
+++ nel/src/sound/sample_bank.cpp	(working copy)
@@ -39,7 +39,7 @@
 
 namespace NLSOUND {
 
-/// Constante for the number of file to load asynchronously at a time.
+/// Constant for the number of file to load asynchronously at a time.
 uint32		ASYNC_LOADING_SPLIT = 10;		// 10 file by 10 file
 
 CSampleBank::TSampleBankContainer	CSampleBank::_Banks;
Index: nel/src/sound/source_common.h
===================================================================
--- nel/src/sound/source_common.h	(revision 1393)
+++ nel/src/sound/source_common.h	(working copy)
@@ -50,7 +50,7 @@
 	~CSourceCommon();
 
 
-	/// Get the type the the source.
+	/// Get the type of the source.
 	virtual TSOURCE_TYPE	getType() const = 0;
 
 	void					setPriority( TSoundPriority pr);