### Eclipse Workspace Patch 1.0
#P nel
Index: src/net/service.cpp
===================================================================
--- src/net/service.cpp	(revision 1909)
+++ src/net/service.cpp	(working copy)
@@ -1575,7 +1575,7 @@
 			WindowDisplayer = NULL;
 		}
 
-		nlinfo ("SERVICE: Service released succesfully");
+		nlinfo ("SERVICE: Service released successfully");
 	}
 	catch (EFatalError &)
 	{
Index: include/nel/misc/stream.h
===================================================================
--- include/nel/misc/stream.h	(revision 1909)
+++ include/nel/misc/stream.h	(working copy)
@@ -621,7 +621,7 @@
 
 	/**
 	 * Parameters for seek().
-	 * begin seek from the begining of the stream.
+	 * begin seek from the beginning of the stream.
 	 * current seek from the current location of the stream pointer.
 	 * end seek from the end of the stream.
 	 */
Index: include/nel/3d/mesh_mrm_skinned_instance.h
===================================================================
--- include/nel/3d/mesh_mrm_skinned_instance.h	(revision 1909)
+++ include/nel/3d/mesh_mrm_skinned_instance.h	(working copy)
@@ -57,7 +57,7 @@
 class CMeshMRMSkinnedInstance : public CMeshBaseInstance
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 protected:
Index: src/logic/logic_state_machine.cpp
===================================================================
--- src/logic/logic_state_machine.cpp	(revision 1909)
+++ src/logic/logic_state_machine.cpp	(working copy)
@@ -434,7 +434,7 @@
 		filter = 1;
 	}
 	else
-	// xxx* => we look for a string with xxx at the begining
+	// xxx* => we look for a string with xxx at the beginning
 	if( varName[varName.size()-1]=='*' )
 	{
 		motif = varName.substr(0,varName.size()-1);
Index: include/nel/misc/eval_num_expr.h
===================================================================
--- include/nel/misc/eval_num_expr.h	(revision 1909)
+++ include/nel/misc/eval_num_expr.h	(working copy)
@@ -178,7 +178,7 @@
 	  * ValueError.
 	  *
 	  * \param value is the value to parse.
-	  * \param result is the result to fill if the value has been succesfully parsed.
+	  * \param result is the result to fill if the value has been successfully parsed.
 	  * \param userData is a user data used by user eval function.
 	  * \return UnkownValue if the value is not known, ValueError is the value evaluation failed or NoError
 	  * if it has been parsed.
@@ -195,7 +195,7 @@
 	  * \param funcName is the name of the function to evaluate.
 	  * \param arg0 is the first parameter passed to the function.
 	  * \param arg1 is the second parameter passed to the function.
-	  * \param result is the result to fill if the value has been succesfully parsed.
+	  * \param result is the result to fill if the value has been successfully parsed.
 	  * \return UnkownFunction if the function doesn't exist, FunctionError if the function evaluation
 	  * failed, NoError if it has been parsed.
 	  */
Index: src/sound/context_sound.cpp
===================================================================
--- src/sound/context_sound.cpp	(revision 1909)
+++ src/sound/context_sound.cpp	(working copy)
@@ -282,7 +282,7 @@
 				if (i == _BaseName.size())
 				{
 					// The base name is ok, check that the next char is a digit (avoid conflit if some
-					// sound have a longeur base name with same begining)
+					// sound have a longeur base name with same beginning)
 					if (soundName[i] >= '0' && soundName[i] <= '9')
 						_ContextSounds->addSound(CAudioMixerUser::instance()->getSoundId(*first), _BaseName);
 				}
Index: src/misc/eval_num_expr.cpp
===================================================================
--- src/misc/eval_num_expr.cpp	(revision 1909)
+++ src/misc/eval_num_expr.cpp	(working copy)
@@ -1266,12 +1266,12 @@
 const char *CEvalNumExpr::_ErrorString[ReturnValueCount]=
 {
 	"No error",
-	"Unkown value",
+	"Unknown value",
 	"Error during user defined value evaluation",
-	"Unkown function",
+	"Unknown function",
 	"Error during user defined function evaluation",
 	"Syntax error in a number expression",
-	"Unkown operator",
+	"Unknown operator",
 	"Should be a open parentesis",
 	"Should be a close parentesis",
 	"Should be a coma character",
Index: src/misc/sstring.cpp
===================================================================
--- src/misc/sstring.cpp	(revision 1909)
+++ src/misc/sstring.cpp	(working copy)
@@ -99,7 +99,7 @@
 			{
 				if (i != 0)
 				{
-					// we are not at begining of the string, delimiter is considered as separator
+					// we are not at beginning of the string, delimiter is considered as separator
 					if (splitStringAtBrackets)
 						break;
 				}
Index: include/nel/3d/mesh_multi_lod_instance.h
===================================================================
--- include/nel/3d/mesh_multi_lod_instance.h	(revision 1909)
+++ include/nel/3d/mesh_multi_lod_instance.h	(working copy)
@@ -68,7 +68,7 @@
 		Lod0Blend		=	0x1,
 	};
 
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 	/// Last Matrix date for Lods
Index: src/3d/driver/direct3d/driver_direct3d_texture.cpp
===================================================================
--- src/3d/driver/direct3d/driver_direct3d_texture.cpp	(revision 1909)
+++ src/3d/driver/direct3d/driver_direct3d_texture.cpp	(working copy)
@@ -280,7 +280,7 @@
 	case D3DFMT_DXT3: bits=8; break;
 	case D3DFMT_DXT4: bits=8; break;
 	case D3DFMT_DXT5: bits=8; break;
-	default: nlstop; break;	// unkown pixel format
+	default: nlstop; break;	// unknown pixel format
 	}
 	return bits;
 }
Index: include/nel/net/login_server.h
===================================================================
--- include/nel/net/login_server.h	(revision 1909)
+++ include/nel/net/login_server.h	(working copy)
@@ -54,7 +54,7 @@
 class IDisplayer;
 
 /** This class is the server part of the Login System. It is used in the Front End Service.
- * At the begining, it connects to the WS. When a new player comes in and is authenticated, a
+ * At the beginning, it connects to the WS. When a new player comes in and is authenticated, a
  * callback is called to warn the user code that a new player is here.
  * Example:
  * \code
Index: include/nel/3d/seg_remanence.h
===================================================================
--- include/nel/3d/seg_remanence.h	(revision 1909)
+++ include/nel/3d/seg_remanence.h	(working copy)
@@ -61,7 +61,7 @@
 		CSegRemanence(CSegRemanence &other);
 		CSegRemanence &operator = (CSegRemanence &other);
 	//@}
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void			registerBasic();
 	/// to instanciate that model from a scene
 	static CTransform		*creator() { return new CSegRemanence; }
Index: include/nel/3d/render_trav.h
===================================================================
--- include/nel/3d/render_trav.h	(revision 1909)
+++ include/nel/3d/render_trav.h	(working copy)
@@ -234,7 +234,7 @@
 	enum	{MaxVPLight= 4};
 
 	/** reset the lighting setup in the driver (all lights are disabled).
-	 *	called at begining of traverse(). Must be called by any model (before and after rendering)
+	 *	called at beginning of traverse(). Must be called by any model (before and after rendering)
 	 *	that wish to use CDriver::setLight() instead of the standard behavior with changeLightSetup()
 	 */
 	void		resetLightSetup();
Index: tools/3d/cluster_viewer/view_cs.cpp
===================================================================
--- tools/3d/cluster_viewer/view_cs.cpp	(revision 1909)
+++ tools/3d/cluster_viewer/view_cs.cpp	(working copy)
@@ -258,7 +258,7 @@
 	
 	// Add all instance that create the scene
 	// --------------------------------------	
-	// Begining of script reading
+	// Beginning of script reading
 	CVector CameraStart;
 
 	LoadSceneScript ("view_cs.txt", CNELU::Scene, DispCS, CameraStart);
Index: src/sound/driver/dsound/sound_driver_dsound.cpp
===================================================================
--- src/sound/driver/dsound/sound_driver_dsound.cpp	(revision 1909)
+++ src/sound/driver/dsound/sound_driver_dsound.cpp	(working copy)
@@ -577,7 +577,7 @@
 		case DSERR_PRIOLEVELNEEDED:
 			throw ESoundDriver("Failed to lock the DirectSound primary buffer : DSERR_PRIOLEVELNEEDED");
 		default:
-			throw ESoundDriver("Failed to lock the DirectSound primary buffer : unkown error");
+			throw ESoundDriver("Failed to lock the DirectSound primary buffer : unknown error");
 
 		}
 	}
Index: include/nel/3d/skeleton_model.h
===================================================================
--- include/nel/3d/skeleton_model.h	(revision 1909)
+++ include/nel/3d/skeleton_model.h	(working copy)
@@ -86,7 +86,7 @@
 	/// max number of bones supported in skeleton
 	enum	{ MaxNumBones = 256 };
 
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: include/nel/3d/clip_trav.h
===================================================================
--- include/nel/3d/clip_trav.h	(revision 1909)
+++ include/nel/3d/clip_trav.h	(working copy)
@@ -100,7 +100,7 @@
 
 	/// \name Visible List mgt. Those visible models are updated each traverse().
 	//@{
-	// NB: list is cleared at begining of traverse().
+	// NB: list is cleared at beginning of traverse().
 	void				addVisibleModel(CTransform *model)
 	{
 		model->_IndexInVisibleList= _CurrentNumVisibleModels;
Index: include/nel/3d/transform.h
===================================================================
--- include/nel/3d/transform.h	(revision 1909)
+++ include/nel/3d/transform.h	(working copy)
@@ -97,7 +97,7 @@
 class CTransform : public ITransformable
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 	/// get the scene which has created us
@@ -120,7 +120,7 @@
 	/**
 	 *	Extra init for a model. this method is called by the framework at the very end of CScene::createModel()
 	 *	Warning! if the model is a CTransformShape, then when initModel() is called, Shape and other related member/setup
-	 *	of IShape::createInstance() are not yet done (because createModel() is called at the begining in createInstance()).
+	 *	of IShape::createInstance() are not yet done (because createModel() is called at the beginning in createInstance()).
 	 *
 	 *	Because initModel() is called at the very end, deriver could implement anything like creating other models,
 	 *	but not deleting this model...
Index: include/nel/net/pacs_client.h
===================================================================
--- include/nel/net/pacs_client.h	(revision 1909)
+++ include/nel/net/pacs_client.h	(working copy)
@@ -560,7 +560,7 @@
 			client->getPositionSpeedCallback (id, position, speed);
 		}
 		else
-			NLMISC::nlError ("Pacs client: unkown sub message string");
+			NLMISC::nlError ("Pacs client: unknown sub message string");
 
 		// Next message ?
 		msgin.serial (again);
Index: include/nel/3d/landscape_def.h
===================================================================
--- include/nel/3d/landscape_def.h	(revision 1909)
+++ include/nel/3d/landscape_def.h	(working copy)
@@ -88,7 +88,7 @@
 class	CLandscapeGlobals
 {
 public:
-	// LANDSCAPE RENDERING CONTEXT.  Landscape must setup it at the begining at refine()/render().
+	// LANDSCAPE RENDERING CONTEXT.  Landscape must setup it at the beginning at refine()/render().
 	// The current date of LandScape for refine only.
 	static	sint	CurrentDate;
 	// The current date of LandScape for render only.
@@ -150,7 +150,7 @@
 	static	CLandscapeVBAllocator	*CurrentTileVBAllocator;
 
 
-	// PATCH GLOBAL INTERFACE.  patch must setup them at the begining at refine()/render().
+	// PATCH GLOBAL INTERFACE.  patch must setup them at the beginning at refine()/render().
 	// NO!!! REMIND: can't have any patch global, since a propagated split()/updateErrorMetric()
 	// can arise. must use Patch pointer.
 
Index: include/nel/3d/point_light_model.h
===================================================================
--- include/nel/3d/point_light_model.h	(revision 1909)
+++ include/nel/3d/point_light_model.h	(working copy)
@@ -62,7 +62,7 @@
 class CPointLightModel : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 
Index: include/nel/3d/landscape_model.h
===================================================================
--- include/nel/3d/landscape_model.h	(revision 1909)
+++ include/nel/3d/landscape_model.h	(working copy)
@@ -49,7 +49,7 @@
 class	CLandscapeModel : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: include/nel/misc/app_context.h
===================================================================
--- include/nel/misc/app_context.h	(revision 1909)
+++ include/nel/misc/app_context.h	(working copy)
@@ -220,7 +220,7 @@
 			if (_Instance == NULL) \
 			{ \
 				/* the nel context MUST be initialised */ \
-				nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very begining of your application.")); \
+				nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very beginning of your application.")); \
 				void *ptr = NLMISC::INelContext::getInstance().getSingletonPointer(#className); \
 				if (ptr == NULL) \
 				{ \
@@ -253,7 +253,7 @@
 			if (_Instance == NULL) \
 			{ \
 				/* the nel context MUST be initialised */ \
-				nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very begining of your application.")); \
+				nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very beginning of your application.")); \
 				void *ptr = NLMISC::INelContext::getInstance().getSingletonPointer(#className); \
 				if (ptr == NULL) \
 				{ \
Index: include/nel/3d/mesh_mrm_instance.h
===================================================================
--- include/nel/3d/mesh_mrm_instance.h	(revision 1909)
+++ include/nel/3d/mesh_mrm_instance.h	(working copy)
@@ -56,7 +56,7 @@
 class CMeshMRMInstance : public CMeshBaseInstance
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 protected:
Index: src/ligo/ligo_error.cpp
===================================================================
--- src/ligo/ligo_error.cpp	(revision 1909)
+++ src/ligo/ligo_error.cpp	(working copy)
@@ -101,7 +101,7 @@
 	"A edge has two times the same corner",	// TwoCornerVertices
 	"A corner is missing in this edge", // CornerIsMissing
 	"A boundary vertex is used by multiple edges", // VertexAlreadyUsed
-	"Unkown error",						// UnknownError
+	"Unknown error",						// UnknownError
 };
 
 // ***************************************************************************
Index: src/ligo/ligo_error.h
===================================================================
--- src/ligo/ligo_error.h	(revision 1909)
+++ src/ligo/ligo_error.h	(working copy)
@@ -91,7 +91,7 @@
 		/// Boundary vertex used by multiple edge
 		VertexAlreadyUsed,
 
-		/// Unkown error
+		/// Unknown error
 		UnknownError,
 
 		/// Error count
Index: include/nel/net/service.h
===================================================================
--- include/nel/net/service.h	(revision 1909)
+++ include/nel/net/service.h	(working copy)
@@ -565,7 +565,7 @@
 	if (_Instance == NULL)
 	{
 		/* the nel context MUST be initialised */
-		nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very begining of your application."));
+		nlassertex(NLMISC::INelContext::isContextInitialised(), ("You are trying to access a safe singleton without having initialized a NeL context. The simplest correction is to add 'NLMISC::CApplicationContext myApplicationContext;' at the very beginning of your application."));
 		// try to retrieve the safe singleton pointer
 		_Instance = reinterpret_cast<IService*>(NLMISC::INelContext::getInstance().getSingletonPointer("IService"));
 	}
Index: include/nel/3d/anim_detail_trav.h
===================================================================
--- include/nel/3d/anim_detail_trav.h	(revision 1909)
+++ include/nel/3d/anim_detail_trav.h	(working copy)
@@ -78,7 +78,7 @@
 	// For clipTrav. cleared at beginning of CClipTrav::traverse
 	void				clearVisibleList();
 
-	// For ClipTrav only. NB: list is cleared at begining of traverse(). NB: only CTransform are supported
+	// For ClipTrav only. NB: list is cleared at beginning of traverse(). NB: only CTransform are supported
 	void				addVisibleModel(CTransform *model)
 	{
 		_VisibleList[_CurrentNumVisibleModels]= model;
Index: include/nel/3d/transform_shape.h
===================================================================
--- include/nel/3d/transform_shape.h	(revision 1909)
+++ include/nel/3d/transform_shape.h	(working copy)
@@ -62,7 +62,7 @@
 class CTransformShape : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: include/nel/misc/file.h
===================================================================
--- include/nel/misc/file.h	(revision 1909)
+++ include/nel/misc/file.h	(working copy)
@@ -135,7 +135,7 @@
 
 	/// \name Statistics
 
-	/// Get the number of file open from the begining of the application. Files can be in a big file.
+	/// Get the number of file open from the beginning of the application. Files can be in a big file.
 	static uint32	getNumFileOpen() {return _FileOpened;}
 
 	/// Get the number of read acces to a file.
Index: include/nel/3d/mesh_base_instance.h
===================================================================
--- include/nel/3d/mesh_base_instance.h	(revision 1909)
+++ include/nel/3d/mesh_base_instance.h	(working copy)
@@ -60,7 +60,7 @@
 class CMeshBaseInstance : public CTransformShape
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: include/nel/misc/pool_memory.h
===================================================================
--- include/nel/misc/pool_memory.h	(revision 1909)
+++ include/nel/misc/pool_memory.h	(working copy)
@@ -109,7 +109,7 @@
 
 			ite++;
 		}
-		// Pointer at the begining
+		// Pointer at the beginning
 		_BlockPointer=_BlockList.begin();
 	}
 
Index: src/misc/xml_pack.cpp
===================================================================
--- src/misc/xml_pack.cpp	(revision 1909)
+++ src/misc/xml_pack.cpp	(working copy)
@@ -47,7 +47,7 @@
 		return false;
 	}
 
-	/// Advance up to the begining of the next line, incrementing the in/out param lineCount
+	/// Advance up to the beginning of the next line, incrementing the in/out param lineCount
 	void CXMLPack::skipLine(string::iterator &it, string::iterator end, uint32 &lineCount)
 	{
 		// advance up to end of string or newline char
@@ -143,7 +143,7 @@
 				nlwarning("Error : invalid pack file sub header at line %u in '%s', can't found element closing '>'", lineCount, xmlPackFileName.c_str());
 				return false;
 			}
-			// advance to next line (begining of sub file)
+			// advance to next line (beginning of sub file)
 			skipLine(it, end, lineCount);
 
 			string::iterator beginOfFile = it;
Index: include/nel/3d/camera.h
===================================================================
--- include/nel/3d/camera.h	(revision 1909)
+++ include/nel/3d/camera.h	(working copy)
@@ -75,7 +75,7 @@
 class CCamera : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 
Index: src/3d/driver/opengl/driver_opengl_extension.cpp
===================================================================
--- src/3d/driver/opengl/driver_opengl_extension.cpp	(revision 1909)
+++ src/3d/driver/opengl/driver_opengl_extension.cpp	(working copy)
@@ -794,7 +794,7 @@
 	glGetIntegerv(GL_MAX_VERTEX_SHADER_LOCALS_EXT, &numVSLocals);
 	if (numVSLocals < 4 * (12 + 4) + 1 + 3)
 	{
-		nlwarning("EXT_vertex_shader extension has not much register. Some vertex programm may fail loading");
+		nlwarning("EXT_vertex_shader extension has not much register. Some vertex program may fail loading");
 		return false;
 	}
 	//
Index: tools/3d/zone_dump/zone_dump.cpp
===================================================================
--- tools/3d/zone_dump/zone_dump.cpp	(revision 1909)
+++ tools/3d/zone_dump/zone_dump.cpp	(working copy)
@@ -197,7 +197,7 @@
 						// Get the current pos
 						sint32 curPos=output.getPos ();
 
-						// File at the begining
+						// File at the beginning
 						output.seek (0, NLMISC::IStream::begin);
 
 						// Write the triangle count
Index: include/nel/3d/root_model.h
===================================================================
--- include/nel/3d/root_model.h	(revision 1909)
+++ include/nel/3d/root_model.h	(working copy)
@@ -46,7 +46,7 @@
 class CRootModel : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 
Index: include/nel/3d/patch.h
===================================================================
--- include/nel/3d/patch.h	(revision 1909)
+++ include/nel/3d/patch.h	(working copy)
@@ -815,7 +815,7 @@
 	CTessFarVertex	BaseFarVertices[4];
 
 
-	// Local info for CTessFace tiles. CPatch must setup them at the begining at refine()/render().
+	// Local info for CTessFace tiles. CPatch must setup them at the beginning at refine()/render().
 	// For Far Texture coordinates.
 	float			Far0UScale, Far0VScale, Far0UBias, Far0VBias;
 	float			Far1UScale, Far1VScale, Far1UBias, Far1VBias;
Index: include/nel/georges/load_form.h
===================================================================
--- include/nel/georges/load_form.h	(revision 1909)
+++ include/nel/georges/load_form.h	(working copy)
@@ -1034,7 +1034,7 @@
 			{
 				if (dependencyDates[depends[i]] > packedFiledate)
 				{
-					nldebug("Dependancy on %s for %s not up to date !",
+					nldebug("Dependency on %s for %s not up to date !",
 						dictionnary[depends[i]].c_str(), sheetNames[k].c_str());
 					NeededToRecompute.push_back(k);
 					break;
Index: src/misc/config_file/cf_gramatical.cpp
===================================================================
--- src/misc/config_file/cf_gramatical.cpp	(revision 1909)
+++ src/misc/config_file/cf_gramatical.cpp	(working copy)
@@ -937,7 +937,7 @@
 					}
 					else
 					{
-						// this var has been created in a parent Cfg, append at the begining of the array
+						// this var has been created in a parent Cfg, append at the beginning of the array
 						Var.add ((*((vector<NLMISC::CConfigFile::CVar>*)(YYPARSE_PARAM)))[i]);
 						if (Var != (*((vector<NLMISC::CConfigFile::CVar>*)(YYPARSE_PARAM)))[i] && Var.Callback != NULL)
 							(Var.Callback)(Var);
Index: include/nel/misc/xml_pack.h
===================================================================
--- include/nel/misc/xml_pack.h	(revision 1909)
+++ include/nel/misc/xml_pack.h	(working copy)
@@ -54,7 +54,7 @@
 		 *	return true and advance the it iterator if match is found.
 		 */
 		bool matchString(std::string::iterator &it, std::string::iterator end, const char *text);
-		/// Advance up to the begining of the next line, incrementing the in/out param lineCount
+		/// Advance up to the beginning of the next line, incrementing the in/out param lineCount
 		void skipLine(std::string::iterator &it, std::string::iterator end, uint32 &lineCount);
 		///@}
 
Index: include/nel/3d/quad_grid_clip_manager.h
===================================================================
--- include/nel/3d/quad_grid_clip_manager.h	(revision 1909)
+++ include/nel/3d/quad_grid_clip_manager.h	(working copy)
@@ -59,7 +59,7 @@
 class CQuadGridClipManager : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: include/nel/3d/vegetable_blend_layer_model.h
===================================================================
--- include/nel/3d/vegetable_blend_layer_model.h	(revision 1909)
+++ include/nel/3d/vegetable_blend_layer_model.h	(working copy)
@@ -55,7 +55,7 @@
 class CVegetableBlendLayerModel : public CTransform
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public:
Index: src/3d/driver/opengl/driver_opengl_texture.cpp
===================================================================
--- src/3d/driver/opengl/driver_opengl_texture.cpp	(revision 1909)
+++ src/3d/driver/opengl/driver_opengl_texture.cpp	(working copy)
@@ -126,7 +126,7 @@
 								  TextureMode, ID, 0);
 
 		// attach depth/stencil render to FBO
-		// note: for some still unkown reason it's impossible to add
+		// note: for some still unknown reason it's impossible to add
 		// a stencil buffer as shown in the respective docs (see
 		// opengl.org extension registry). Until a safe approach to add
 		// them is found, there will be no attached stencil for the time
Index: src/3d/driver/direct3d/driver_direct3d.h
===================================================================
--- src/3d/driver/direct3d/driver_direct3d.h	(revision 1909)
+++ src/3d/driver/direct3d/driver_direct3d.h	(working copy)
@@ -644,7 +644,7 @@
 	void	*lock (uint size, uint stride, uint &offset);
 	void	unlock ();
 
-	// Runtime reset (called at the begining of the frame rendering), blocking lock here.
+	// Runtime reset (called at the beginning of the frame rendering), blocking lock here.
 	void	reset ();
 };
 
@@ -674,7 +674,7 @@
 	void	*lock (uint size, uint &offset);
 	void	unlock ();
 
-	// Runtime reset (called at the begining of the frame rendering), blocking lock here.
+	// Runtime reset (called at the beginning of the frame rendering), blocking lock here.
 	void	reset ();
 };
 
Index: include/nel/misc/polygon.h
===================================================================
--- include/nel/misc/polygon.h	(revision 1909)
+++ include/nel/misc/polygon.h	(working copy)
@@ -81,7 +81,7 @@
 	  *
 	  * The subdivison is in non-constant n*log(n) with n is the number of vertices.
 	  *
-	  * \param outputPolygons is the list filled with clipped convex polygons. The list is not cleared at the begining.
+	  * \param outputPolygons is the list filled with clipped convex polygons. The list is not cleared at the beginning.
 	  * New polygons are just appended at the end.
 	  * \param basis is the basis of the polygon projection.
 	  * \return true if the polygon has been subdivided. false if the polygon overlap itself in the XY plane of the basis
Index: include/nel/3d/load_balancing_trav.h
===================================================================
--- include/nel/3d/load_balancing_trav.h	(revision 1909)
+++ include/nel/3d/load_balancing_trav.h	(working copy)
@@ -172,7 +172,7 @@
 	// For clipTrav. cleared at beginning of CClipTrav::traverse
 	void				clearVisibleList();
 
-	// For ClipTrav only. NB: list is cleared at begining of traverse().
+	// For ClipTrav only. NB: list is cleared at beginning of traverse().
 	void				addVisibleModel(CTransform *model)
 	{
 		_VisibleList[_CurrentNumVisibleModels]= model;
Index: include/nel/3d/mesh_instance.h
===================================================================
--- include/nel/3d/mesh_instance.h	(revision 1909)
+++ include/nel/3d/mesh_instance.h	(working copy)
@@ -56,7 +56,7 @@
 class CMeshInstance : public CMeshBaseInstance
 {
 public:
-	/// Call at the begining of the program, to register the model
+	/// Call at the beginning of the program, to register the model
 	static	void	registerBasic();
 
 public: