diff -r 03326250bfc5 code/ryzom/Rules.mk
--- a/code/ryzom/Rules.mk	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/Rules.mk	Thu May 06 17:12:17 2010 -0400
@@ -56,7 +56,7 @@
 
 update:
 #	../gen_compile_flags.sh > RyzomCompilerFlags.mk
-	$(RYZOM_PATH)/gen_deps.sh $(CXX) $(CXXFLAGS) -- $(UPDATE_SRCS) > Dependencies.mk
+	sh $(RYZOM_PATH)/code/ryzom/gen_deps.sh $(CXX) $(CXXFLAGS) -- $(UPDATE_SRCS) > Dependencies.mk
 	echo "OBJS=$(UPDATE_OBJS)" > Objects.mk
 
 touch:
diff -r 03326250bfc5 code/ryzom/Variables.mk
--- a/code/ryzom/Variables.mk	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/Variables.mk	Thu May 06 17:12:17 2010 -0400
@@ -20,13 +20,14 @@
 DIR_DBG_on    = debug
 DIR_DBG_off   = release
 
-PACK_SHEETS_FLAGS = -A/home/nevrax/code/ryzom/server -L/home/nevrax/code/ryzom/server -C/home/nevrax/code/ryzom/server/sheet_pack_cfg -Q --nons
+PACK_SHEETS_FLAGS = -A$(RYZOM_PATH)/code/ryzom/server -L$(RYZOM_PATH)/code/ryzom/server -C$(RYZOM_PATH)/code/ryzom/server/sheet_pack_cfg -Q --nons
 
-NEL_PATH = $(HOME)/code/install/$(DIR_DBG_$(DBG))
-RYZOM_PATH = $(HOME)/code/ryzom
-
-NEL_INCLUDE = $(HOME)/code/nel/include
-RYZOM_COMMON_SRC = $(RYZOM_PATH)/common/src
+NEL_PATH = $(RYZOM_PATH)/code/install/$(DIR_DBG_$(DBG))
+#RYZOM_PATH = $(RYZOM_PATH)/code/ryzom
+#RYZOM_PATH = $(HOME)/code/ryzom
+
+NEL_INCLUDE = $(RYZOM_PATH)/code/nel/include
+RYZOM_COMMON_SRC = $(RYZOM_PATH)/code/ryzom/common/src
 
 ifeq (Objects.mk,$(wildcard Objects.mk))
 include Objects.mk
diff -r 03326250bfc5 code/ryzom/client/src/Makefile
--- a/code/ryzom/client/src/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/client/src/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -16,18 +16,18 @@
 CXXFLAGS     = $(WWWFLAGS) $(LUAFLAGS) \
 		$(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
-		-I$(HOME)/code/luabind \
-		-I$(HOME)/code/nel/include \
-		-I$(RYZOM_PATH)/common/src \
-		-I$(RYZOM_PATH)/client/src/seven_zip \
+		-I$(RYZOM_PATH)/code/luabind \
+		-I$(RYZOM_PATH)/code/nel/include \
+		-I$(RYZOM_PATH)/code/ryzom/common/src \
+		-I$(RYZOM_PATH)/code/ryzom/client/src/seven_zip \
 		-I.. \
 		-I.
 
 LDFLAGS      = 	$(WWWLDFLAGS) $(LUALDFLAGS) $(LD_FLAGS_CMN) \
 		-L$(NEL_PATH)/lib \
-		-L$(RYZOM_PATH)/common/src/game_share \
-		-L$(RYZOM_PATH)/client/src/client_sheets \
-		-L$(RYZOM_PATH)/client/src/seven_zip \
+		-L$(RYZOM_PATH)/code/ryzom/common/src/game_share \
+		-L$(RYZOM_PATH)/code/ryzom/client/src/client_sheets \
+		-L$(RYZOM_PATH)/code/ryzom/client/src/seven_zip \
     -lclient_sheets \
     -lseven_zip \
 		-lgame_share \
diff -r 03326250bfc5 code/ryzom/common/Makefile
--- a/code/ryzom/common/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/common/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -2,7 +2,7 @@
 MAKE_ALL_ARGS=-j2
 CXX=g++
 CC=g++
-BIN_DIR=$(HOME)/code/ryzom/tools/scripts/linux
+BIN_DIR=$(RYZOM_PATH)/code/ryzom/tools/scripts/linux
 
 night:
 	+make $(MAKE_NIGHT_ARGS) -k -C src night CXX=$(CXX)
diff -r 03326250bfc5 code/ryzom/common/src/game_share/Makefile
--- a/code/ryzom/common/src/game_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/common/src/game_share/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -11,8 +11,8 @@
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
 		-I/usr/include/mysql \
-		-I$(HOME)/code/nel/include \
-		-I$(HOME)/code/ryzom/common/src \
+		-I$(RYZOM_PATH)/code/nel/include \
+		-I$(RYZOM_PATH)/code/ryzom/common/src \
 		-I./ \
 		-I./character_structure \
 		-I./egs_sheets \
@@ -20,7 +20,7 @@
 		-I./game_item_manager
 
 # The flags for the linker
-LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(RYZOM_PATH)/install/$(DIR_DBG_$(DBG))/lib \
 		-llibmysqlclient \
 		-lnelnet \
 		-lnelgeorges \
diff -r 03326250bfc5 code/ryzom/server/Makefile
--- a/code/ryzom/server/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -2,7 +2,7 @@
 MAKE_ALL_ARGS=-j2
 CXX=g++
 CC=g++
-BIN_DIR=$(HOME)/code/ryzom/tools/scripts/linux
+BIN_DIR=$(RYZOM_PATH)/code/ryzom/tools/scripts/linux
 
 night:
 	+make $(MAKE_NIGHT_ARGS) -k -C src night CXX=$(CXX)
diff -r 03326250bfc5 code/ryzom/server/src/ai_share/Makefile
--- a/code/ryzom/server/src/ai_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/ai_share/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -20,7 +20,7 @@
 		-lxml2
 
 # The flags for the linker
-LDFLAGS2      = 	-L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS2      = 	-L$(RYZOM_PATH)/install/$(DIR_DBG_$(DBG))/lib \
 		-lnelnet \
 		-lnelgeorges \
 		-lnelpacs \
diff -r 03326250bfc5 code/ryzom/server/src/frontend_service/Makefile
--- a/code/ryzom/server/src/frontend_service/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/frontend_service/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -26,7 +26,7 @@
 		-ldl
 
 # The flags for the linker
-LDFLAGS2      = 	-L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS2      = 	-L$(RYZOM_PATH)/install/$(DIR_DBG_$(DBG))/lib \
 		-lnelnet \
 		-lxml2 \
 		-L/usr/lib \
diff -r 03326250bfc5 code/ryzom/server/src/server_share/Makefile
--- a/code/ryzom/server/src/server_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/server_share/Makefile	Thu May 06 17:12:17 2010 -0400
@@ -11,8 +11,8 @@
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
 		-I/usr/include/mysql \
-		-I$(HOME)/code/nel/include \
-		-I$(HOME)/code/ryzom/common/src \
+		-I$(RYZOM_PATH)/code/nel/include \
+		-I$(RYZOM_PATH)/code/ryzom/common/src \
 		-I./ \
 		-I./character_structure \
 		-I./egs_sheets \
@@ -20,7 +20,7 @@
 		-I./game_item_manager
 
 # The flags for the linker
-LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(RYZOM_PATH)/install/$(DIR_DBG_$(DBG))/lib \
 		-llibmysqlclient \
 		-lnelnet \
 		-lnelgeorges \
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/build
--- a/code/ryzom/tools/scripts/linux/build	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/build	Thu May 06 17:12:17 2010 -0400
@@ -47,9 +47,11 @@
 #MAKE_ARGS="-j20 CC=distcc CXX=distcc"
 MAKE_ARGS="-j4"
 
+CUR_WDIR=`pwd`
+
 # Set the source directory. Use the environment SRC_DIR variable, if it's
 # not set, use $HOME/cvs as a default value
-SRC_DIR="$HOME/code"
+SRC_DIR="$RYZOM_PATH/code"
 
 # Build diretories
 BUILD_DEBUG="$SRC_DIR/build/debug"
@@ -74,10 +76,10 @@
 ###########################################################################
 
 # Flag files associated to each mode
-DEBUG_FILE="$HOME/.mode_debug"
-STATIC_FILE="$HOME/.mode_static"
-DYNAMIC_FILE="$HOME/.mode_dynamic"
-SILENT_FILE="$HOME/.mode_silent"
+DEBUG_FILE="$CUR_WDIR/.mode_debug"
+STATIC_FILE="$CUR_WDIR/.mode_static"
+DYNAMIC_FILE="$CUR_WDIR/.mode_dynamic"
+SILENT_FILE="$CUR_WDIR/.mode_silent"
 
 # Specify the source code directory of each projects
 NEL_SRC="$SRC_DIR/nel"
@@ -298,8 +300,8 @@
 else
     BUILD_DIR=$BUILD_RELEASE
     INSTALL_DIR=$INSTALL_RELEASE
-    BUILD_CFLAGS="$BUILD_CFLAGS -march=pentium"
-    BUILD_CXXFLAGS="$BUILD_CXXFLAGS -march=pentium"
+#    BUILD_CFLAGS="$BUILD_CFLAGS -march=pentium"
+#    BUILD_CXXFLAGS="$BUILD_CXXFLAGS -march=pentium"
     PATH="$INSTALL_RELEASE/bin:$PATH"
     LD_LIBRARY_PATH="$INSTALL_RELEASE/lib:$LD_LIBRARY_PATH"
 fi
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/buildmode
--- a/code/ryzom/tools/scripts/linux/buildmode	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/buildmode	Thu May 06 17:12:17 2010 -0400
@@ -3,12 +3,14 @@
 
 ###########################################################################
 
+CUR_WDIR=`pwd`
+
 # Files associated to each mode
-DEBUG_FILE=$HOME/.mode_debug
+DEBUG_FILE=$CUR_WDIR/.mode_debug
 #RELEASE_FILE=$HOME/.mode_release
-STATIC_FILE=$HOME/.mode_static
-DYNAMIC_FILE=$HOME/.mode_dynamic
-SILENT_FILE=$HOME/.mode_silent
+STATIC_FILE=$CUR_WDIR/.mode_static
+DYNAMIC_FILE=$CUR_WDIR/.mode_dynamic
+SILENT_FILE=$CUR_WDIR/.mode_silent
 
 
 ###########################################################################
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/make_all
--- a/code/ryzom/tools/scripts/linux/make_all	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/make_all	Thu May 06 17:12:17 2010 -0400
@@ -1,8 +1,14 @@
 #!/bin/sh -
 
-RYZOM_PATH="$HOME/code/ryzom"
+if [ -n "${RYZOM_PATH+x}" ]; then
+	echo "Using RYZOM_PATH "$RYZOM_PATH
+else
+	echo "Please set RYZOM_PATH environment variable (PATH/TO/code)"
+	exit
+fi
+	#RYZOM_PATH="$HOME/code/ryzom"
 
-. $RYZOM_PATH/tools/scripts/linux/utilities
+. $RYZOM_PATH/code/ryzom/tools/scripts/linux/utilities
 
 init
 
@@ -10,32 +16,32 @@
 #### BUILD NEL
 ##############################################################################
 
-CFLAGS="-DFINAL_VERSION=1" CXXFLAGS="-DFINAL_VERSION=1" $RYZOM_PATH/tools/scripts/linux/build init nel --disable-3d --disable-samples --disable-tools >>$LOG_INFO 2>>$LOG_ERROR
+CFLAGS="-DFINAL_VERSION=1" CXXFLAGS="-DFINAL_VERSION=1" sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build init nel --disable-3d --disable-samples --disable-tools >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD INIT NEL
 
 #$RYZOM_PATH/tools/scripts/linux/build nel clean
 #verify $? BUILD NEL CLEAN
 
-$RYZOM_PATH/tools/scripts/linux/build nel >>$LOG_INFO 2>>$LOG_ERROR
+sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build nel >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD NEL
 
-$RYZOM_PATH/tools/scripts/linux/build nel install >>$LOG_INFO 2>>$LOG_ERROR
+sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build nel install >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD NEL INSTALL
 
 ##############################################################################
 #### BUILD NELNS
 ##############################################################################
 
-CFLAGS="-DFINAL_VERSION=1" CXXFLAGS="-DFINAL_VERSION=1" $RYZOM_PATH/tools/scripts/linux/build init nelns >>$LOG_INFO 2>>$LOG_ERROR
+CFLAGS="-DFINAL_VERSION=1" CXXFLAGS="-DFINAL_VERSION=1" sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build init nelns >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD INIT NELNS
 
 #$RYZOM_PATH/tools/scripts/linux/build nelns clean
 #verify $? BUILD NEL CLEAN
 
-$RYZOM_PATH/tools/scripts/linux/build nelns >>$LOG_INFO 2>>$LOG_ERROR
+sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build nelns >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD NELNS
 
-$RYZOM_PATH/tools/scripts/linux/build nelns install >>$LOG_INFO 2>>$LOG_ERROR
+sh $RYZOM_PATH/code/ryzom/tools/scripts/linux/build nelns install >>$LOG_INFO 2>>$LOG_ERROR
 verify $? BUILD NELNS INSTALL
 
 
@@ -43,13 +49,13 @@
 ##### CLEAR packed_sheet (rebuilt in Ryzom build)
 ##############################################################################
 
-rm $RYZOM_PATH/server/src/*/*.packed_sheets
+rm $RYZOM_PATH/code/ryzom/server/src/*/*.packed_sheets
 
 ##############################################################################
 #### BUILD RYZOM COMMON
 ##############################################################################
 
-cd $RYZOM_PATH/common
+cd $RYZOM_PATH/code/ryzom/common
 
 #make clean >>$LOG_INFO 2>>$LOG_ERROR
 #verify $? CLEAN RYZOM COMMON
@@ -64,7 +70,7 @@
 #### BUILD RYZOM
 ##############################################################################
 
-cd $RYZOM_PATH/server
+cd $RYZOM_PATH/code/ryzom/server
 
 #make clean >>$LOG_INFO 2>>$LOG_ERROR
 #verify $? CLEAN RYZOM
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/utilities
--- a/code/ryzom/tools/scripts/linux/utilities	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/utilities	Thu May 06 17:12:17 2010 -0400
@@ -1,10 +1,19 @@
 #!/bin/sh
 
-SSH_AGENT_FILE="$HOME/ssh_agent_file"
+CUR_DIR=`pwd`
+SSH_AGENT_FILE="$CUR_DIR/ssh_agent_file"
 
 BASENAME=`basename $0`
-LOG_INFO="$HOME/log/${BASENAME}_info.log"
-LOG_ERROR="$HOME/log/${BASENAME}_error.log"
+if [ -d "$CUR_DIR/log" ]; then
+	#do nothing, everything fine
+	echo "Using log directory $CUR_DIR/log"
+else
+	echo "Creating log directory $CUR_DIR/log"
+	mkdir "$CUR_DIR/log"
+fi
+
+LOG_INFO="$CUR_DIR/log/${BASENAME}_info.log"
+LOG_ERROR="$CUR_DIR/log/${BASENAME}_error.log"
 
 # first param is the subject line
 # others params are email