diff -r c8b634ca6a76 code/ryzom/client/src/interface_v3/lua_dll.cpp
--- a/code/ryzom/client/src/interface_v3/lua_dll.cpp	Fri May 07 15:54:22 2010 -0700
+++ b/code/ryzom/client/src/interface_v3/lua_dll.cpp	Fri May 07 15:55:59 2010 -0700
@@ -16,6 +16,8 @@
 
 #include "../stdpch.h"
 
+#ifdef NL_OS_WINDOWS
+
 extern "C"
 {
 //	#include "lua_loadlib.h"
@@ -271,3 +273,6 @@
 	return false;
 #endif
 }
+
+#endif
+
diff -r c8b634ca6a76 code/ryzom/client/src/interface_v3/lua_ihm.cpp
--- a/code/ryzom/client/src/interface_v3/lua_ihm.cpp	Fri May 07 15:54:22 2010 -0700
+++ b/code/ryzom/client/src/interface_v3/lua_ihm.cpp	Fri May 07 15:55:59 2010 -0700
@@ -441,12 +441,12 @@
 
 // ***************************************************************************
 #define LUA_REGISTER_BASIC(_type_)															\
-yes_t is_user_defined(by_value<_type_>);													\
-_type_ convert_lua_to_cpp(lua_State* L,    by_value<_type_>,    int index)						\
+luabind::detail::yes_t is_user_defined(luabind::detail::by_value<_type_>);													\
+_type_ convert_lua_to_cpp(lua_State* L,    luabind::detail::by_value<_type_>,    int index)						\
 {																							\
 	return (_type_)lua_tonumber(L,    index);													\
 }																							\
-int match_lua_to_cpp(lua_State* L,    by_value<_type_>,    int index)								\
+int match_lua_to_cpp(lua_State* L,    luabind::detail::by_value<_type_>,    int index)								\
 {																							\
 	if (lua_isnumber(L,    index)) return 0; else return -1;									\
 }																							\
@@ -476,6 +476,7 @@
 {
 	//H_AUTO(Lua_CLuaIHM_registerBasics)
 	using namespace luabind;
+	using namespace luabind::detail;
 	lua_State	*L= ls.getStatePointer();
 
 	// RGBA
@@ -1202,7 +1203,7 @@
 	} \
 
 // ***************************************************************************
-#define LUABIND_FUNC(__func__) luabind::function(L,    #__func__,    &__func__);
+#define LUABIND_FUNC(__func__) luabind::def(#__func__,    &__func__);
 void	CLuaIHM::registerIHM(CLuaState &ls)
 {
 	//H_AUTO(Lua_CLuaIHM_registerIHM)
@@ -1330,19 +1331,19 @@
 	LUABIND_FUNC(dumpCallStack);
 	LUABIND_FUNC(getDefine);
 	LUABIND_FUNC(setContextHelpText);
-	luabind::function(L,    "messageBox",    (void(*)(const ucstring &)) &messageBox);
-	luabind::function(L,    "messageBox",    (void(*)(const ucstring &, const std::string &)) &messageBox);
-	luabind::function(L,    "messageBox",    (void(*)(const ucstring &, const std::string &, int caseMode)) &messageBox);
-	luabind::function(L,    "messageBox",    (void(*)(const std::string &)) &messageBox);
-	luabind::function(L,    "messageBoxWithHelp",    (void(*)(const ucstring &)) &messageBoxWithHelp);
-	luabind::function(L,    "messageBoxWithHelp",    (void(*)(const ucstring &, const std::string &)) &messageBoxWithHelp);
-	luabind::function(L,    "messageBoxWithHelp",    (void(*)(const ucstring &, const std::string &, int caseMode)) &messageBoxWithHelp);
-	luabind::function(L,    "messageBoxWithHelp",    (void(*)(const std::string &)) &messageBoxWithHelp);
-	luabind::function(L,    "findReplaceAll",    (std::string(*)(const std::string &,  const std::string &,  const std::string &)) &findReplaceAll);
-	luabind::function(L,    "findReplaceAll",    (ucstring(*)(const ucstring &,  const ucstring &,  const ucstring &)) &findReplaceAll);
-	luabind::function(L,    "findReplaceAll",    (ucstring(*)(const ucstring &,  const std::string &,  const std::string &)) &findReplaceAll);
-	luabind::function(L,    "findReplaceAll",    (ucstring(*)(const ucstring &,  const ucstring &,  const std::string &)) &findReplaceAll);
-	luabind::function(L,    "findReplaceAll",    (ucstring(*)(const ucstring &,  const std::string &,  const ucstring &)) &findReplaceAll);
+	luabind::def(    "messageBox",    (void(*)(const ucstring &)) &messageBox);
+	luabind::def(    "messageBox",    (void(*)(const ucstring &, const std::string &)) &messageBox);
+	luabind::def(    "messageBox",    (void(*)(const ucstring &, const std::string &, int caseMode)) &messageBox);
+	luabind::def(    "messageBox",    (void(*)(const std::string &)) &messageBox);
+	luabind::def(    "messageBoxWithHelp",    (void(*)(const ucstring &)) &messageBoxWithHelp);
+	luabind::def(    "messageBoxWithHelp",    (void(*)(const ucstring &, const std::string &)) &messageBoxWithHelp);
+	luabind::def(    "messageBoxWithHelp",    (void(*)(const ucstring &, const std::string &, int caseMode)) &messageBoxWithHelp);
+	luabind::def(    "messageBoxWithHelp",    (void(*)(const std::string &)) &messageBoxWithHelp);
+	luabind::def(    "findReplaceAll",    (std::string(*)(const std::string &,  const std::string &,  const std::string &)) &findReplaceAll);
+	luabind::def(    "findReplaceAll",    (ucstring(*)(const ucstring &,  const ucstring &,  const ucstring &)) &findReplaceAll);
+	luabind::def(    "findReplaceAll",    (ucstring(*)(const ucstring &,  const std::string &,  const std::string &)) &findReplaceAll);
+	luabind::def(    "findReplaceAll",    (ucstring(*)(const ucstring &,  const ucstring &,  const std::string &)) &findReplaceAll);
+	luabind::def(    "findReplaceAll",    (ucstring(*)(const ucstring &,  const std::string &,  const ucstring &)) &findReplaceAll);
 	LUABIND_FUNC(getPlayerSelectedSlot)
 	LUABIND_FUNC(isInGame)
 	LUABIND_FUNC(pauseBGDownloader);
@@ -1450,8 +1451,8 @@
 			#endif
 			}
 		};
-		luabind::function(L,    "fileLookup",    CMiscFunctions::fileLookup);
-		luabind::function(L,    "shellExecute",    CMiscFunctions::shellExecute);
+		luabind::def(    "fileLookup",    CMiscFunctions::fileLookup);
+		luabind::def(    "shellExecute",    CMiscFunctions::shellExecute);
 	#endif
 }
 