diff -r 60625937ac94 code/ryzom/client/src/connection.cpp
--- a/code/ryzom/client/src/connection.cpp	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/client/src/connection.cpp	Fri May 07 16:34:15 2010 -0700
@@ -981,6 +981,7 @@
 	while (PlayerWantToGoInGame == false)
 	{
 
+		#ifdef NL_OS_WIN32
 		#ifdef NL_DEBUG
 			// tmp for debug
 			if (::GetAsyncKeyState(VK_SPACE))
@@ -999,6 +1000,7 @@
 				pIM->reloadAllLuaFileScripts();
 			}
 		#endif
+		#endif
 
 		updateBGDownloaderUI();
 
@@ -1064,6 +1066,7 @@
 			nlSleep(ClientCfg.Sleep);
 		}
 
+		#ifdef NL_OS_WIN32
 		#ifdef NL_DEBUG
 			if (::GetAsyncKeyState(VK_CONTROL))
 			{
@@ -1073,7 +1076,7 @@
 				displayDebugUIUnderMouse();
 			}
 		#endif
-
+		#endif
 		// Display
 		Driver->swapBuffers();
 
diff -r 60625937ac94 code/ryzom/client/src/libwww.cpp
--- a/code/ryzom/client/src/libwww.cpp	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/client/src/libwww.cpp	Fri May 07 16:34:15 2010 -0700
@@ -390,6 +390,11 @@
 	nlinfo("Unparsed entity '%s'", str.c_str());
 }
 
+typedef union {
+  uint32 u32;
+  void *vp; 
+} uint32_vp;
+
 // ***************************************************************************
 int requestTerminater (HTRequest * request, HTResponse * /* response */,
 				void * param, int /* status */)
@@ -406,7 +411,9 @@
 	// the parameter is actually an uint32
 	if (param != 0)
 	{
-		CGroupHTML::TGroupHtmlByUIDMap::iterator	it= CGroupHTML::_GroupHtmlByUID.find((uint32)param);
+		uint32_vp param_conversion;
+		param_conversion.vp = param;
+		CGroupHTML::TGroupHtmlByUIDMap::iterator it= CGroupHTML::_GroupHtmlByUID.find(param_conversion.u32);
 		if(it!=CGroupHTML::_GroupHtmlByUID.end())
 		{
 			// get the pointer. NB: the refptr should not be NULL
diff -r 60625937ac94 code/ryzom/client/src/login_patch.cpp
--- a/code/ryzom/client/src/login_patch.cpp	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/client/src/login_patch.cpp	Fri May 07 16:34:15 2010 -0700
@@ -64,6 +64,15 @@
 #include <direct.h>
 #endif
 
+/* FIXME in the correct way... no idea which include is missing? */
+#ifndef FALSE
+#define FALSE 0
+#endif
+
+#ifndef TRUE
+#define TRUE 1
+#endif
+
 //
 // Namespaces
 //
diff -r 60625937ac94 code/ryzom/client/src/sound_manager.cpp
--- a/code/ryzom/client/src/sound_manager.cpp	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/client/src/sound_manager.cpp	Fri May 07 16:34:15 2010 -0700
@@ -51,8 +51,8 @@
 
 #if defined(DEBUG_SOUND_IN_GAME)
 //sound
-# include "nel/../../src/sound/clustered_sound.h"
-# include "nel/../../src/sound/audio_mixer_user.h"
+# include "../../nel/src/sound/clustered_sound.h"
+# include "../../nel/src/sound/audio_mixer_user.h"
 // 3d
 # include "nel/3d/cluster.h"
 # include "nel/3d/portal.h"
diff -r 60625937ac94 code/ryzom/tools/assoc_mem/CMakeLists.txt
--- a/code/ryzom/tools/assoc_mem/CMakeLists.txt	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/tools/assoc_mem/CMakeLists.txt	Fri May 07 16:34:15 2010 -0700
@@ -1,5 +1,26 @@
-FILE(GLOB SRC *.cpp *.h)
-
+SET(SRC attribute.cpp
+brain.cpp
+cond_node.cpp
+field.cpp
+mood.cpp
+node.cpp
+record.cpp
+result_node.cpp
+test.cpp
+tree.cpp
+attribute.h
+att_tree.h
+brain.h
+cond_node.h
+field.h
+mood.h
+node.h
+record.h
+result_node.h
+tree.h
+val_nodes.h
+value.h)
+ 
 ADD_EXECUTABLE(assoc_mem ${SRC})
 
 INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR} ${NELMISC_INCLUDE_DIRS})
diff -r 60625937ac94 code/ryzom/tools/stats_scan/CMakeLists.txt
--- a/code/ryzom/tools/stats_scan/CMakeLists.txt	Fri May 07 16:28:25 2010 -0700
+++ b/code/ryzom/tools/stats_scan/CMakeLists.txt	Fri May 07 16:34:15 2010 -0700
@@ -1,4 +1,19 @@
-FILE(GLOB SRC *.cpp *.h)
+SET(SRC character.h
+character_scan_job.h
+char_filter_factory.h
+char_info_extractor_factory.h
+char_scan_script.h
+job_manager.h
+character.cpp
+character_scan_job.cpp
+char_commands.cpp
+char_filter_factory.cpp
+char_info_extractor_factory.cpp
+char_scan_script.cpp
+job_manager.cpp
+service_main.cpp
+user_char_filters.cpp
+user_char_info_extractors.cpp)
 
 DECORATE_NEL_LIB("game_share")
 SET(GAME_SHARE_LIB ${LIBNAME})