diff -r ba9e2d8f0ff7 code/nel/include/nel/3d/key.h
--- a/code/nel/include/nel/3d/key.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/3d/key.h	Mon Oct 04 20:17:40 2010 +0200
@@ -45,7 +45,7 @@
 	typedef	T	TValueType;
 
 public:
-
+	CKey() :OODeltaTime(0.f) { }
 	/// Serial
 	void serial (NLMISC::IStream& f) throw (NLMISC::EStream)
 	{
@@ -81,7 +81,7 @@
 class CKeyTCB : public CKey<T>
 {
 public:
-
+	CKeyTCB() : Ease0(0.f),Ease1(0.f), EaseK(0.f), EaseKOverEase0(0.f), EaseKOverEase1(0.f) { }
 	/// Serial
 	void serial (NLMISC::IStream& f) throw (NLMISC::EStream)
 	{
diff -r ba9e2d8f0ff7 code/nel/include/nel/3d/track_keyframer.h
--- a/code/nel/include/nel/3d/track_keyframer.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/3d/track_keyframer.h	Mon Oct 04 20:17:40 2010 +0200
@@ -744,6 +744,8 @@
 		k.Tension= key.Tension;
 		k.EaseFrom= key.EaseFrom;
 		k.EaseTo= key.EaseTo;
+		k.TanTo=0.f;
+		k.TanFrom=0.f;
 		addKey(k, key.Time);
 
 		return true;
diff -r ba9e2d8f0ff7 code/nel/include/nel/3d/track_sampled_quat_small_header.h
--- a/code/nel/include/nel/3d/track_sampled_quat_small_header.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/3d/track_sampled_quat_small_header.h	Mon Oct 04 20:17:40 2010 +0200
@@ -31,6 +31,10 @@
 class	CTrackSampleHeader
 {
 public:
+	CTrackSampleHeader () 
+		: LoopMode(false), BeginTime(0.f), EndTime(0.f), TotalRange(0.f), OOTotalRange(0.f), DeltaTime(0.f), OODeltaTime(0.f)
+	{
+	}
 	// Param of animation
 	bool					LoopMode;
 	float					BeginTime;
diff -r ba9e2d8f0ff7 code/nel/include/nel/misc/geom_ext.h
--- a/code/nel/include/nel/misc/geom_ext.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/misc/geom_ext.h	Mon Oct 04 20:17:40 2010 +0200
@@ -163,7 +163,7 @@
 public:
 
 	/// Constructor
-	CTriangleUV() {}
+	CTriangleUV() :Uv0(0,0),Uv1(0,0),Uv2(0,0) {}
 
 	CTriangleUV		&operator=(const CTriangle &tri)
 	{
diff -r ba9e2d8f0ff7 code/nel/include/nel/misc/rgba.h
--- a/code/nel/include/nel/misc/rgba.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/misc/rgba.h	Mon Oct 04 20:17:40 2010 +0200
@@ -39,7 +39,7 @@
 public:
 
 	/// Default constructor. do nothing
-	CRGBA() {}
+	CRGBA() : R(0), G(0), B(0), A(0) {}
 
 	/**
 	 * Constructor.
diff -r ba9e2d8f0ff7 code/nel/include/nel/misc/vector.h
--- a/code/nel/include/nel/misc/vector.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/misc/vector.h	Mon Oct 04 20:17:40 2010 +0200
@@ -55,7 +55,7 @@
 	/// @name Object.
 	//@{
 	/// Constructor which does nothing.
-	CVector() {}
+	CVector() : x(0), y(0), z(0) {}
 	/// Constructor .
 	CVector(float	_x, float _y, float _z) : x(_x), y(_y), z(_z) {}
 	/// Copy Constructor.
diff -r ba9e2d8f0ff7 code/nel/include/nel/misc/vector_2f.h
--- a/code/nel/include/nel/misc/vector_2f.h	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/include/nel/misc/vector_2f.h	Mon Oct 04 20:17:40 2010 +0200
@@ -46,7 +46,7 @@
 	/// @name Object.
 	//@{
 	/// Constructor wich do nothing.
-	CVector2f() {}
+	CVector2f() : x(0), y(0) {}
 	/// Constructor.
 	CVector2f(float	_x, float _y) : x(_x), y(_y) {}
 	/// Copy Constructor.
diff -r ba9e2d8f0ff7 code/nel/src/3d/driver/opengl/driver_opengl_material.cpp
--- a/code/nel/src/3d/driver/opengl/driver_opengl_material.cpp	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/src/3d/driver/opengl/driver_opengl_material.cpp	Mon Oct 04 20:17:40 2010 +0200
@@ -251,7 +251,7 @@
 {
 	H_AUTO_OGL(CDriverGL_setupMaterial)
 	CShaderGL*	pShader;
-	GLenum		glenum;
+	GLenum		glenum=0;
 	uint32		touched=mat.getTouched();
 	uint		stage;
 
diff -r ba9e2d8f0ff7 code/nel/src/misc/task_manager.cpp
--- a/code/nel/src/misc/task_manager.cpp	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/src/misc/task_manager.cpp	Mon Oct 04 20:17:40 2010 +0200
@@ -61,7 +61,7 @@
 void CTaskManager::run(void)
 {
 	IRunnable *runnableTask;
-	float priorityTask;
+	float priorityTask=0.f;
 	while(_ThreadRunning)
 	{
 		{
diff -r ba9e2d8f0ff7 code/nel/src/sound/sample_bank_manager.cpp
--- a/code/nel/src/sound/sample_bank_manager.cpp	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/src/sound/sample_bank_manager.cpp	Mon Oct 04 20:17:40 2010 +0200
@@ -36,7 +36,7 @@
 
 namespace NLSOUND {
 
-CSampleBankManager::CSampleBankManager(CAudioMixerUser *audioMixer) : m_AudioMixer(audioMixer), m_LoadedSize(NULL)
+CSampleBankManager::CSampleBankManager(CAudioMixerUser *audioMixer) : m_AudioMixer(audioMixer), m_LoadedSize(0)
 {
 	
 }
diff -r ba9e2d8f0ff7 code/nel/tools/3d/shapes_exporter/shapes_exporter.cpp
--- a/code/nel/tools/3d/shapes_exporter/shapes_exporter.cpp	Sun Oct 03 23:20:33 2010 +0200
+++ b/code/nel/tools/3d/shapes_exporter/shapes_exporter.cpp	Mon Oct 04 20:17:40 2010 +0200
@@ -843,7 +843,7 @@
 			if(!saveOneImage(filename))
 				return false;
 		}
-		if(time >= 30.0 || nbparticle == 0 && startTime > 0.0f || duration != 0.0f && time > duration)
+		if(time >= 30.0 || (nbparticle == 0 && startTime > 0.0f) || (duration != 0.0f && time > duration) )
 			break;
 	}
 